Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui
Class PropertyDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          weka.gui.PropertyDialog

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class PropertyDialog

extends javax.swing.JDialog

Support for PropertyEditors with custom editors: puts the editor into a separate frame.

Version:
  $Revision: 6595 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PropertyDialog(java.awt.Dialog owner, java.beans.PropertyEditor pe)` Creates the (screen-centered) editor dialog.
`PropertyDialog(java.awt.Dialog owner, java.beans.PropertyEditor pe, int x, int y)` Creates the editor dialog at the given position.
`PropertyDialog(java.awt.Frame owner, java.beans.PropertyEditor pe)` Creates the (screen-centered) editor dialog.
`PropertyDialog(java.awt.Frame owner, java.beans.PropertyEditor pe, int x, int y)` Creates the editor dialog at the given position.
`PropertyDialog(java.beans.PropertyEditor pe, int x, int y)` Deprecated. instead of this constructor, one should use the constructors with an explicit owner (either derived from `java.awt.Dialog` or from `java.awt.Frame`) or, if none available, using `(Frame) null` as owner.

Method Summary
`java.beans.PropertyEditor` | `getEditor()` Gets the current property editor.
`static java.awt.Dialog` | `getParentDialog(java.awt.Container c)` Tries to determine the dialog this panel is part of.
`static java.awt.Frame` | `getParentFrame(java.awt.Container c)` Tries to determine the frame this panel is part of.

Methods inherited from class javax.swing.JDialog
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyDialog

    public PropertyDialog(java.beans.PropertyEditor pe,
                          int x,
                          int y)

  Deprecated. instead of this constructor, one should use the constructors with an explicit owner (either derived from `java.awt.Dialog` or from `java.awt.Frame`) or, if none available, using `(Frame) null` as owner.

  Creates the editor frame - only kept for backward-compatibility.

  Parameters:
    `pe` - the PropertyEditor
    `x` - initial x coord for the frame
    `y` - initial y coord for the frame

### PropertyDialog

    public PropertyDialog(java.awt.Dialog owner,
                          java.beans.PropertyEditor pe)

  Creates the (screen-centered) editor dialog. The dialog is automatically modal in case the owner is non-null.

  Parameters:
    `owner` - the dialog that opens this dialog
    `pe` - the PropertyEditor

### PropertyDialog

    public PropertyDialog(java.awt.Dialog owner,
                          java.beans.PropertyEditor pe,
                          int x,
                          int y)

  Creates the editor dialog at the given position. The dialog is automatically modal in case the owner is non-null.

  Parameters:
    `owner` - the dialog that opens this dialog
    `pe` - the PropertyEditor
    `x` - initial x coord for the dialog
    `y` - initial y coord for the dialog

### PropertyDialog

    public PropertyDialog(java.awt.Frame owner,
                          java.beans.PropertyEditor pe)

  Creates the (screen-centered) editor dialog. The dialog is automatically modal in case the owner is non-null.

  Parameters:
    `owner` - the frame that opens this dialog
    `pe` - the PropertyEditor

### PropertyDialog

    public PropertyDialog(java.awt.Frame owner,
                          java.beans.PropertyEditor pe,
                          int x,
                          int y)

  Creates the editor dialog at the given position. The dialog is automatically modal in case the owner is non-null.

  Parameters:
    `owner` - the frame that opens this dialog
    `pe` - the PropertyEditor
    `x` - initial x coord for the dialog
    `y` - initial y coord for the dialog

Method Detail

### getEditor

    public java.beans.PropertyEditor getEditor()

  Gets the current property editor.

  Returns:
    a value of type 'PropertyEditor'

### getParentFrame

    public static java.awt.Frame getParentFrame(java.awt.Container c)

  Tries to determine the frame this panel is part of.

  Parameters:
    `c` - the container to start with
  Returns:
    the parent frame if one exists or null if not

### getParentDialog

    public static java.awt.Dialog getParentDialog(java.awt.Container c)

  Tries to determine the dialog this panel is part of.

  Parameters:
    `c` - the container to start with
  Returns:
    the parent dialog if one exists or null if not

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD